%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jboss-annotations-1.2-api
Version:       1.0.2
Release:       %mkrel 4
Group:         Development/Java
Summary:       Common Annotations 1.2 API
License:       CDDL or GPLv2 with exceptions
URL:           https://github.com/jboss/jboss-annotations-api_spec
Source0:       https://github.com/jboss/jboss-annotations-api_spec/archive/jboss-annotations-api_1.2_spec-%{namedversion}.tar.gz
Source1:       cddl.txt

BuildRequires: maven-local
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)

BuildArch:     noarch

%description
This package contains Common Annotations 1.2 API.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc	
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-annotations-api_spec-jboss-annotations-api_1.2_spec-%{namedversion}

cp %{SOURCE1} .

%pom_remove_plugin :maven-source-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README
%license cddl.txt LICENSE

%files javadoc -f .mfiles-javadoc
%license cddl.txt LICENSE



%changelog
* Mon May 27 2024 ns80 <ns80> 1.0.2-4.mga10
+ Revision: 2068325
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.0.2-3.mga9
+ Revision: 1827423
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.0.2-2.mga8
+ Revision: 1528636
- Mageia 8 Mass Rebuild

* Sat Aug 24 2019 daviddavid <daviddavid> 1.0.2-1.mga8
+ Revision: 1431675
- Update to version 1.0.2

* Tue Sep 18 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1262681
- Mageia 7 Mass Rebuild

* Fri May 19 2017 neoclust <neoclust> 1.0.0-1.mga6
+ Revision: 1103233
- New version 1.0.0.Final
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.0-0.6.Alpha1.1.mga6
+ Revision: 977201
- sync package jboss-annotations-1.2-api with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-0.3.Alpha1.4.mga5
+ Revision: 749781
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 1.0.0-0.3.Alpha1.1.mga4
+ Revision: 495371
- imported package jboss-annotations-1.2-api


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.3.Alpha1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 13 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.2.Alpha1
- Added CDDL license

* Wed Jun 05 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Alpha1
- Initial packaging


